ExceptionUtil (HttpClient Library (Version 3.1))
Date: 2016-03-09

org.apache.commons.httpclient.util

## Class ExceptionUtil

- java.lang.Object
- - org.apache.commons.httpclient.util.ExceptionUtil

-     public class ExceptionUtil
      extends java.lang.Object

  The home for utility methods that handle various exception-related tasks.
  Since:
    3.0
  Author:
    Oleg Kalnichevski, Laura Werner

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExceptionUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `initCause(java.lang.Throwable throwable, java.lang.Throwable cause)` If we're running on JDK 1.4 or later, initialize the cause for the given throwable.
    `static boolean` | `isSocketTimeoutException(java.io.InterruptedIOException e)` If SocketTimeoutExceptionClass is defined, returns `true` only if the exception is an instance of SocketTimeoutExceptionClass.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExceptionUtil

          public ExceptionUtil()

  - ### Method Detail

    - #### initCause

          public static void initCause(java.lang.Throwable throwable,
                       java.lang.Throwable cause)

      If we're running on JDK 1.4 or later, initialize the cause for the given throwable.
      Parameters:
        `throwable` - The throwable.
        `cause` - The cause of the throwable.

    - #### isSocketTimeoutException

          public static boolean isSocketTimeoutException(java.io.InterruptedIOException e)

      If SocketTimeoutExceptionClass is defined, returns `true` only if the exception is an instance of SocketTimeoutExceptionClass. If SocketTimeoutExceptionClass is undefined, always returns `true`.
      Parameters:
        `e` - an instance of InterruptedIOException class.
      Returns:
        `true` if the exception signals socket timeout, `false` otherwise.

Copyright (c) 1999-2005 - Apache Software Foundation